Subject: [Simple] FW: Errata? Was RE: [Sip-implementors] RFC 5438 - blank lines missing?

From: Nancy Greene <[email-masked]>
Date: Tue, 27 Sep 2011 12:36:52 -0400

...trying for answers from this list.
Nancy

-----Original Message-----
From: Nancy Greene 
Sent: September-26-11 2:03 PM
To: Pavesi, Valdemar (NSN - US/Irving); [email-masked]; [email-masked]; [email-masked]
Cc: Nancy Greene
Subject: Errata? Was RE: [Sip-implementors] RFC 5438 - blank lines missing?

The RFC 3862 definition of an "encapsulated MIME message-body" seems to state that there is a blank line separating it from the message-metadata-headers and that would mean there is a blank line before the Content-Type header of the encapsulated MIME message-body, meaning the examples in RFC 5438 are wrong - is this the case or not? 

So it seems that either RFC 5438 is wrong, or RFC 5438 defines an alternative to the CPIM Message Format that now needs to be supported for IMDNs. In any case, some kind of errata or clarification to RFC 5438 would seem to be needed.

Nancy 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Nancy Greene
Sent: September-23-11 4:41 PM
To: Pavesi, Valdemar (NSN - US/Irving); [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Sip-implementors] RFC 5438 - blank lines missing?

But, I see this in RFC 3862:

2.  Overall Message Structure
...
A complete message looks something like this:

      m: Content-type: Message/CPIM
      s:
      h: (message-metadata-headers)
      s:
      e: (encapsulated MIME message-body)

...
2.4.  Message Content

   The final section of a Message/CPIM is the MIME-encapsulated message
   content, which follows standard MIME formatting rules [1][2].

   The MIME content headers MUST include at least a Content-Type header.
   The content may be any MIME type.

   Example:

      e: Content-Type: text/plain; charset=utf-8
      e: Content-ID: <[email-masked]>
      e:
      e: This is my encapsulated text message content 

Nancy

-----Original Message-----
From: Pavesi, Valdemar (NSN - US/Irving) [mailto:[email-masked]]
Sent: September-23-11 4:24 PM
To: Nancy Greene; [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Sip-implementors] RFC 5438 - blank lines missing?

Nancy,

No , the blank line must be only  before the content, in your case "Hello World".

Regards!
Valdemar

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of ext Nancy Greene
Sent: Friday, September 23, 2011 3:08 PM
To: [email-masked]; [email-masked]; [email-masked]
Subject: [Sip-implementors] RFC 5438 - blank lines missing?

Hi, I have seen this on the list before but can't find it. 
 
Is it agreed that the RFC 5438 examples are all missing a blank line between the CPIM headers and the Content-type for the message body?
 
>From RFC 5438 section 7.1.1.3 (same thing is also in sections 7.2.1.1,
7.2.1.2,8.1 and 8.3)
...
   Section 10 describes the formal syntax for the Disposition-
   Notification header field.  The following is an example CPIM body of
   an IM where the IM Sender requests positive and negative delivery
   notifications, but not display notification or processing
   notifications:

   From: Alice <im:[email-masked]>
   To: Bob <im:[email-masked]>
   NS: imdn <urn:ietf:params:imdn>
   imdn.Message-ID: 34jk324j
   DateTime: 2006-04-04T12:16:49-05:00
   imdn.Disposition-Notification: positive-delivery, negative-delivery
   Content-type: text/plain <====== according to RFC 3862, there is supposed to be a blank line before this line, right?
   Content-length: 12

   Hello World
...

Nancy
_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors